Value field fails to load for property "language" (P407)
Closed, ResolvedPublic

Description

To reproduce this bug (logged in, in Firefox or Chrome):

  • Go to any item
  • click add property
  • type "language" (with all the letters)
  • from the drop-down list select "language - language of a work"
  • the value field loads endlessly

Note: this doesn't happen with other properties, and it doesn't happen with that one either if you type "lan" only. Maybe there is a conflict between "language" and "official language"?


Version: unspecified
Severity: normal
Whiteboard: papercut

bzimport added a subscriber: wikidata-bugs.
bzimport set Reference to bz53157.
Micru created this task.Via LegacyAug 21 2013, 3:31 PM
aude added a comment.Via ConduitAug 21 2013, 3:40 PM

I can reproduce on my test wiki if i have one property with label "language" and another property with alias "language".

If I have just the label "language" property then it works.

It's doing multiple ajax requests for both properties.

Denny added a comment.Via ConduitAug 21 2013, 3:42 PM

As a workaround, the property can be selected as P407, i.e. via the ID. This obviously doesn't solve the bug, and we need to check what's going on here.

bzimport added a comment.Via ConduitSep 15 2013, 8:27 PM

svenmanguard wrote:

This happens on all properties, not just language, although I have noticed it more on language than on other ones.

The easiest workaround is to click on the three bar icon, select "no value", and then click it again and click "custom value", which resets the field.

That being said, we shouldn't have to do that in the first place, it should just load cleanly.

Lydia_Pintscher added a comment.Via ConduitSep 19 2013, 9:18 AM
  • Bug 51575 has been marked as a duplicate of this bug. ***
Lydia_Pintscher added a comment.Via ConduitOct 8 2013, 2:22 PM

Marking as fixed as the patch is merged.

Add Comment